summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMike Gabriel <mike.gabriel@das-netzwerkteam.de>2014-01-28 15:28:38 +0100
committerMike Gabriel <mike.gabriel@das-netzwerkteam.de>2014-01-28 15:28:38 +0100
commit2fc83c747ded932ce84ac0218a8cf19633ca0227 (patch)
treeaa69bb0f66901926f3bb6ba7b4038dff64285f4e
parentcb17ede63e21de046a1b98c0a3dddeae85aa33b0 (diff)
downloadbuildscripts-2fc83c747ded932ce84ac0218a8cf19633ca0227.tar.gz
buildscripts-2fc83c747ded932ce84ac0218a8cf19633ca0227.tar.bz2
buildscripts-2fc83c747ded932ce84ac0218a8cf19633ca0227.zip
fix update scripts for release builds
-rwxr-xr-xbin/updatebuildmain2
-rwxr-xr-xbin/updatebuildrelease2
2 files changed, 2 insertions, 2 deletions
diff --git a/bin/updatebuildmain b/bin/updatebuildmain
index 5a46ea4..9106e0a 100755
--- a/bin/updatebuildmain
+++ b/bin/updatebuildmain
@@ -31,8 +31,8 @@ test -z $1 || test -d ./.git || {
}
# update the build-main branch with our newest blessed reference
-git branch -d build-main &>/dev/null || true
git tag -d build-main &>/dev/null || true
+git branch -D build-main &>/dev/null || true
git checkout -b build-main $REF || true
git push $ORIGIN build-main:build-main
git checkout master
diff --git a/bin/updatebuildrelease b/bin/updatebuildrelease
index c11c538..d5e5eb8 100755
--- a/bin/updatebuildrelease
+++ b/bin/updatebuildrelease
@@ -32,8 +32,8 @@ test -z $1 || test -d ./.git || {
}
# update the build-main branch with our newest blessed reference
-git branch -d build-$RELEASE &>/dev/null || true
git tag -d build-$RELEASE &>/dev/null || true
+git branch -D build-$RELEASE &>/dev/null || true
git checkout -b build-$RELEASE $REF || true
git push $ORIGIN build-$RELEASE:build-$RELEASE
git checkout master